Package org.eclipse.m2m.atl.engine.vm.nativelib

# Class SOTSExpression2

java.lang.Object
org.eclipse.m2m.atl.engine.vm.nativelib.SOTSExpression2

public class SOTSExpression2 extends Object
Simple query language evaluator. This is used in the present version of the compiler. Recognized grammar: `exp ::= (simpleExp '+' exp) | simpleExp | INT | STRING | ('(' exp ')') simpleExp ::= '$' varName:IDENT ('.' propName:IDENT ('(' ')')? ('[' ("ISA" '(' mname:IDENT '!' mename:IDENT ')') | (propName:IDENT '=' value:exp) | (index:exp) ']')*)* (',' default:exp)?; IDENT ::= [A-Za-z_][A-Za-z0-9_]*; VALUE ::= STRING | INT; STRING ::= '[^']'; INT ::= [0-9]+; SKIP ::= ' ' | '\t' | '\n' | '\r';`

## Constructor Summary

Constructors
Constructor
Description
`SOTSExpression2(String exp)`

## Method Summary

Modifier and Type
Method
Description
`ASMOclAny`
`exec(StackFrame frame, ASMTuple args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SOTSExpression2

public SOTSExpression2(String exp)

## Method Details

### exec

public ASMOclAny exec(StackFrame frame, ASMTuple args) throws IOException

Throws:
  `IOException`